import {PurchaseScreenData} from '@models';
import {useState} from 'react';
import {createContext} from 'use-context-selector';

export function useContextState() {
  return useState<PurchaseScreenData | undefined>(void 0);
}

export const context = createContext<ReturnType<typeof useContextState>>([
  void 0,
  () => null,
]);
